var LayoutUtilities = {};
LayoutUtilities.createDiffDataStructure = function createDiffDataStructure(container, widget, clearFields){
    var containerDiff = {};
    var createWidgetsDataStructure = function createWidgetsDataStructure(widgetID, widgets, containerDiff){
        containerDiff.widgets = [];
        createWidgetsObjects(containerDiff.widgets, widgets, widgetID);
        if(Util.isArray(widgets) && widgets.length > 0){
            widgets.forEach(function(eachWidget){
                createWidgetsDataStructure(widgetID, eachWidget.widgets, getWidgetObjectByID(containerDiff.widgets, eachWidget.id));
            });
        }
    };

    var createWidgetsObjects = function createWidgetsObjects(widgetsDiff, widgetsArray, widgetID){
        if(Util.isArray(widgetsArray) && widgetsArray.length > 0){
            widgetsArray.forEach(function(eachWidget){
                var properties = {
                    "id": eachWidget.id
                };
                if(eachWidget.id == widgetID){
                    properties.fields = clearFields ? [] : eachWidget.fields;
                }
                widgetsDiff.push(properties);
            });
        }
    };

    var getWidgetObjectByID = function getWidgetObjectByID(widgets, widgetId){
        return widgets.filter(function(eachWidgetObject){
            return eachWidgetObject.id == widgetId;
        }).shift();
    };

    createWidgetsDataStructure(widget.id, container.widgets, containerDiff);
    return containerDiff;
};
